## org.hibernate.type.descriptor.java
Class CharacterStreamImpl

    java.lang.Object
      org.hibernate.type.descriptor.java.CharacterStreamImpl

All Implemented Interfaces:
  CharacterStream

    public class CharacterStreamImpl

extends Object
implements CharacterStream

Implementation of `CharacterStream`

Constructor Summary
`CharacterStreamImpl(String chars)`

Method Summary
`int` `getLength()` Retrieve the number of characters.
`Reader` `getReader()` Retrieve the reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterStreamImpl

    public CharacterStreamImpl(String chars)

Method Detail

### getReader

    public Reader getReader()

  Description copied from interface: `CharacterStream`
  Retrieve the reader.

  Specified by:
    `getReader` in interface `CharacterStream`
  Returns:
    The reader.

### getLength

    public int getLength()

  Description copied from interface: `CharacterStream`
  Retrieve the number of characters. JDBC 3 and earlier defined the length in terms of int type rather than long type :(

  Specified by:
    `getLength` in interface `CharacterStream`
  Returns:
    The number of characters.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.